Tags
Get Discovery Tags
Get a list of Discovery tags suggested by Fansly.
https://v1.apifansly.com
GET
/api/fansly/{accountId}/discover/tags
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
Path Parameters
curl -X GET "https://v1.apifansly.com/api/fansly/{accountId}/discover/tags" \
-H "x-api-key: YOUR_API_KEY"fetch("https://v1.apifansly.com/api/fansly/{accountId}/discover/tags", {
method: "GET",
headers: {
"x-api-key": "YOUR_API_KEY"
}
})
.then(response => response.json())
.then(data => console.log(data));import requests
url = "https://v1.apifansly.com/api/fansly/{accountId}/discover/tags"
headers = {
"x-api-key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{accountId}/discover/tags"))
.header("x-api-key", "YOUR_API_KEY")
.GET()
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.GetAsync("https://v1.apifansly.com/api/fansly/{accountId}/discover/tags");
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{accountId}/discover/tags"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Parameters
To retrieve the discovery tags, you must provide the accountId.
accountId*
stringThe unique identifier for the connected account, retrieved from your Dashboard.
Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": {
"mediaOfferSuggestionTags": [
{
"id": "unique_tag_identifier_1",
"tag": "sample_tag_name",
"flags": "integer_flag_value",
"label": null,
"createdAt": "timestamp_in_milliseconds",
"postCount": "number_of_posts",
"viewCount": "number_of_views",
"description": "tag_description"
},
{
"id": "unique_tag_identifier_2",
"tag": "second_sample_tag",
"flags": "integer_flag_value",
"label": null,
"createdAt": "timestamp_in_milliseconds",
"postCount": "number_of_posts",
"viewCount": "number_of_views",
"description": "tag_description"
}
],
"aggregationData": {}
}
}
},
"timestamp": "2026-04-09T14:32:08.491Z"
}